
 @import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css');
 
 :root {
  --primary-color: #00B8BC;
  --accent-color: #F6ED31;
  --text-color: #5d5d5d;
  --white: #fff;
  --black: #000;

  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-size: 16px;
  color: #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  scroll-behavior: smooth;
  font: inherit;
}

* {
margin: 0;
padding: 0;
}

html, body {
  height: 100%;
  line-height: 1.2;
  -webkit-font-smoothing: antialiased;
  ::-webkit-scrollbar {width: 10px;}
  ::-webkit-scrollbar-track {background-color: hsl(0, 0%, 98%);}
  ::-webkit-scrollbar-thumb {background-color: hsl(0, 0%, 80%);}
  ::-webkit-scrollbar-thumb:hover {background-color: hsl(0, 0%, 70%);}
}

body {
  font-family:
    Inter,
    -apple-system,
    Roboto,
    Helvetica,
    sans-serif;
  overflow-x: hidden;
  background: rgba(0,0,0,0.8); 
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

h1, h2, h3, h4, p {
  overflow-wrap: break-word;
}

li,
a,
button {
  color: #fff;
  font-weight: 500;
  text-decoration: none;
}

.debug {
    border: 2px solid red;
}

/*----------------------------------------------------------------------------------------------------------------------------------------------------------------------------  */
/*------------------------------------------------------------Page Layout -------------------------------------------------------------------------------------  */
/*----------------------------------------------------------------------------------------------------------------------------------------------------------------------------  */



body {
  background-image: url('assets/bg-annie-spratt-unsplash.jpg'); 
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  z-index: -2;
}

body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0,0,0,0.4); 
  z-index: -1; 
  pointer-events: none; 
}

h1 {
  font-size: 2.7rem;
  font-weight: 700;
  color: var(--white);
  text-align: center;
  margin: 2rem;
}

h2 {
  font-size: 2.2rem;
  font-weight: 500;
  color: #f1f1f1;
  text-align: center;
  margin: 1.5rem;
}

h3 {
  font-size: 1.5rem;
  font-weight: 500;
  color: #f1f1f1;
  text-align: center;
  margin: 1rem;
}



/*----------------------------------------------------------------------------------------------------------------------------------------------------------------------------  */
/*------------------------------------------------------------Content-----------------------------------------------------------------------------------------------------------  */
/*----------------------------------------------------------------------------------------------------------------------------------------------------------------------------  */

/* Sticky Header */
.sticky-header {
  position: fixed;
  top: 1rem;
  left: 50%;
  transform: translate(-50%);
  width: 90%;
  background-color: rgba(0, 0, 0, 0.7);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 2rem;
  border-radius: 1rem;
  z-index: 1000;
}

.logo img {
  height: 3rem;
}

.nav-container {
    display: flex;
    align-items: center;
    justify-content:flex-end;
    width: 100%;
    gap: 3rem;
}

nav {
    display: flex;
    gap: 2rem;
    align-items: center;
    }

nav a {
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    letter-spacing: 1px;
    transition: color 0.3s ease;
    }

nav a:hover {
     color: var(--accent-color);
    }

nav a.active {
    text-decoration: underline;
    text-underline-offset: 0.6rem;
    text-decoration-thickness: 2px;
}

.icons {
    display: flex;
    gap: 2rem;
    align-items: center;
    width: 3rem; 
    height: 3rem; 
    margin-right: 1.7rem;
   }

 .icons a {
    color: var(--white);
    font-size: 1.2rem;
    transition: color 0.3s ease;
    }

 .icons a:hover {
      color: var(--accent-color)
    }


@media (max-width: 880px) {
  .sticky-header {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .logo {
    margin-bottom: 1rem;
  }

  .nav-container {
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 1rem;
  }

  nav a.active {
    text-underline-offset: 0.4rem;
  }

  .icons {
    width: 100%;
    justify-content: center;
    margin-right: 0;
  }
}

@media (max-width: 600px) {
  
  .nav-links {
    flex-direction: row;
    flex-wrap: wrap;
    align-items: space-around;
    justify-content: center;    
    width: 100%;
    
  }

.nav-links .action-button {
    width: 100%;
  }

}

.cta-buttons {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
  margin-top: 2rem;
}

.action-button {
  padding: 0.9rem 1.3rem;
  background-color: var(--accent-color);
  color: #111;
  border-radius: 0.5rem;
  text-decoration: none;
  font-weight: 600;
  cursor: pointer;
  border: 2px solid  #F6ED31;
  transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.action-button:hover {
    background-color: #d1c92b;
    color: #000;
    transform: scale(1.01);
    }

/*------------- Menu -----------*/
/* /* Menu contents */

.menu-main {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2rem;
  margin-top: 10rem;
  position: relative;
  flex-wrap: wrap;
  width: 100%;
}

.subtitle {
  font-size: 1.1rem;
  font-weight: 400;
  color: #f1f1f1;
  text-align: center;
  margin:  0;
  margin-bottom: 2rem;
}

.menu-navigation {
  display: flex;
  justify-content: center;  
  align-items: center;
  flex-wrap: wrap;          
  gap: 0.75rem;             
  margin: 3rem auto;        
  width: 100%;
  max-width: 1000px;    
}

.menu-navigation .tab {
  flex: 0 1 auto;
  min-width: fit-content;
  flex-wrap: wrap ;
  margin: 0.25rem; 
  white-space: nowrap;
  padding: 1em 2em;
  border: 2px solid #fff;
  color: #fff;
  border-radius: 0.5rem;
  text-align: center;
  cursor: pointer;
  background: transparent;
  transition: background 0.2s, color 0.2s;
}

.menu-navigation .tab.selected {
  background:var(--accent-color);       
  border-color: var(--accent-color);
  color: #000;
}

.tab:hover, .tab.selected:hover { 
  background: #fff; 
  color: #000;
  }

/*------------- Menu -----------*/
.menu-section-container {
  display: flex;
  max-width: 1200px;      
  width: 100%;           
  margin: 0 auto 2rem;   
  padding: 0 1rem;   
  overflow: visible;    
}

.menu-section-container,
.tab-content.selected {
  text-align: left;  
  flex: 0 1 auto;  
  
  width: 1000px;                
  box-sizing: border-box; 
}

.menu-tab-container,
.menu-items {
  margin: 0;               
  align-items: flex-start; 
}

.tab-content {
  display: none;
  position: relative;  
  z-index: 1;  
  padding: 2rem; 
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 0.8rem;
  margin-top: 1rem; 
  width: 100%;
  box-sizing: border-box;
}

.tab-content .menu-bg {
  position: absolute;
  top: 20%;
  right: 0;
  /* transform: translateY(-50%); */
  overflow: hidden;
  pointer-events: none;
  z-index: -1;          
}
.tab-content .menu-bg-left {
  position: absolute;
  top: 17%;
  right: -7%;
  /* transform: translateY(-50%); */
  
  pointer-events: none;
  z-index: -1;          
}

.flip-horizontal {
      transform: scaleX(-1);
}

.tab-content.selected {
  display: block;
  width: 100%;
  position: relative;
}

.menu-items {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 1200px;
  margin: auto;
}
.menu-item {
  text-align: left;
  padding: 2rem 0;
}

.menu-heading {
  width: auto;
  height: auto;
  color: #ffffff;
  font-size: 1.7rem;
  font-weight: 600;
  text-align: left;
  vertical-align: top;
  margin-bottom: 1rem;
}
.menu-item-text {
  display: flex;
  width: 100%;
  height: auto;
  color: #f0f0f0;
  font-size: 1rem;
  text-align: left;
  line-height: 1.7rem;
}

.bread-icon {
  margin-right: 1rem;
}

.line {
  height: 1px;
  width: 100%;
  background-color: var(--accent-color);
  opacity: 80%;
  margin: 1rem 0;
}

/*------------- Menu -----------*/
.tab-content { 
  
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 0.8rem;
  margin-top: 10px; 
  text-align: left;
  position: relative;
  z-index: 1;
}
.tab-content {
  display: none;
  position: relative;
  padding: 2rem;
  
  
}
.tab-content.selected {
  display: block;
}
  

.menu-items .tab-content {
  position: relative;
  z-index: 1;
}


.menu-items {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0.5rem 2rem;
  justify-content: center;
  width: 100%;
  max-width: 1200px;
  margin: auto;
  position: relative;
}
.menu-item {
  text-align: left;
  padding: 2rem 0;
}

.menu-heading {
  width: auto;
  height: auto;
  color: #ffffff;
  font-size: 1.7rem;
  font-weight: 600;
  text-align: left;
  vertical-align: top;
  margin-bottom: 1rem;
}
.menu-item-text {
  display: flex;
  width: 100%;
  height: auto;
  color: #f0f0f0;
  font-size: 1rem;
  text-align: left;
  line-height: 1.7rem;
}


@media (max-width: 1024px) {
  
  .sticky-header {
    padding: 0.75rem 1rem;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.5rem;
  }
  .nav-container {
    flex-direction: column;
    gap: 0.5rem;
  }
  .nav-links {
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
  }
  .hero-content h1 { font-size: 2.2rem; }
  .hero-content .subtitle { font-size: 1rem; }

 .menu-navigation {
    flex-wrap: wrap ;
  }

  .menu-navigation .tab {
    display: inline-block;
    /* flex: 0 0 auto; */
    padding: 0.6rem 1.2rem;
    font-size: 0.9rem;
    margin: 0 0.25rem;
  }
  .tab-content {
    padding: 1.5rem;
  }

  .menu-section {
    width: 100%;
    padding: 1rem;
    margin-top: 3rem;
  }

    .tab-content.selected, .menu-section-container {
    width: 100%;
  }

      .menu-section-container {
    padding: 1rem;
  }

  .subtitle {
    padding: 0 2rem;
  }

}
@media (max-width: 768px) {

  .menu-main {
     flex-direction: column; 
    /*margin-top: 6rem; */
    padding: 1rem;
    
  }
 
  .menu-bg, .menu-bg-left {
    display: none;
  }

  .menu-section {
    margin-top: 5rem;
  }

  .menu-item {
    padding: 1.5rem 0;
  }
  .menu-heading { font-size: 1.4rem; }
  .menu-item-text { font-size: 0.9rem; }
}



@media (max-width: 480px) {
  .sticky-header {
    padding: 0.5rem;
  }
  .logo img { height: 2.5rem; }
  .icons a { font-size: 1rem; }

  .hero-content h1 { font-size: 1.8rem; margin: 1rem 0; }
  .hero-content .subtitle { font-size: 0.9rem; }

  .menu-navigation .tab {
    display: block;
    width: 100%;
    margin: 0.25rem 0;
    text-align: center;
  }

  .tab-content {
    padding: 1rem;
    margin-top: 0.5rem;
  }

  .menu-item-text {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 0.5rem;
    font-size: 0.9rem;
    line-height: 1.4;
    width: 100%
  }

  .menu-navigation {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin: 1rem auto;
  }
  .menu-navigation .tab {
    width: 100%;
    text-align: center;
    padding: 0.75rem;
    font-size: 1rem;
  }
    .bread-icon {
        flex-shrink: 0;        
        /* width: 1.2rem;          */
        margin-right: 0.5rem;  
    }

}


/*----------- Footer */
.footer {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background-color: rgba(0, 0, 0, 0.7);
  box-shadow: 0 -4px 6px rgba(0, 0, 0, 0.2);
	padding: 2rem 1.5rem;
}

.footer-container {
	width: 100%;
	max-width: 1200px;
	display: flex;
	flex-direction: column;
	align-items: center;
	flex-grow: 1;
}

.footer-container-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

/* logo */
.footer-icon { 
  display: flex;
	width: 100%;
	max-width: 10rem;
	flex-shrink: 0;
  /* justify-content: center;
  align-items: center; */
}

.footer-text {
	align-self: stretch;
	text-align: center;
  font-size: 1rem;
	line-height: 1.4rem;
	font-weight: 300;
  margin-bottom: 2rem;
}

 .footer-body-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  padding: 1.5rem;
  width: 100%;
} 

.footer-contact-section, 
.footer-navigation-section, 
.footer-menu-section {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex: 1;
  text-align: left;
  gap: 1rem;
}

.footer-nav {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.footer-section-title {
  margin: 0;
  padding: 0; 
  margin-bottom: 1rem;
  width: 100%;
  display: flex;
  align-self: flex-start;
  text-align: left ;
  color: #fff;
  font-size: 14px;
  font-weight: 700;
  line-height: 18.2px;
  text-transform: uppercase;
}

.contact-item {
  display: flex;
  align-items: flex-start;
  gap: 0.5rem;
  line-height: 2.2rem;
  width: 100%;
}

.contact-item i {
  font-size: 1.2rem;
  flex-shrink: 0;
  margin-right: 0.5rem;
  width: 1rem;
  align-self: center;
}

footer .contact-item a,
footer .contact-item p {
    font-weight: 400;
    font-size: 0.9rem; 
}

footer .contact-item i {
  align-self: center;
}


/* Focus and Hover States */
.nav-link:hover,
.nav-link:focus,
.footer-link:hover,
.footer-link:focus {
  text-decoration: underline;
  outline: none;
}

/* Accessibility Enhancements */
.submit-button:focus-visible,
.nav-link:focus-visible,
.footer-link:focus-visible {
  outline: 3px solid #fff;
  outline-offset: 2px;
} 

.footer-navigation-section {
  flex: 1;
}

.footer-nav-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-nav-link {
  color: #fff;
  font-size: 14px;
  line-height: 19.6px;
  text-decoration: none;
  display: inline-block;
  margin-bottom: 2px;
  cursor: pointer;
  font-weight: 400;
}

.footer-nav-link:hover,
.footer-nav-link:focus {
  text-decoration: underline;
}

.footer-menu-section {
  flex: 1;
}

.footer-menu-section .footer-nav + .footer-nav .footer-section-title {
  margin-top: 3rem;
}

.footer-bottom {
  max-width: 1200px;
  border-top: 1px solid #fff;
  padding-top: 2rem;
  padding: 2rem 0 3rem;
  display: flex;
  justify-content: space-between;
  font-size: 13px;
  margin: auto;
  width: 100%;
}

.copyright,
.credits {
  color: #fff;
  font-size: 13px;
  line-height: 19.5px;
  margin: 0;
}

@media screen and (max-width: 1280px) {
	
.footer-nav {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0;
  }

.footer-menu-section .footer-nav-list {
    align-items: center;
    text-align: center;
    width: 100%;
  }

.footer-menu-section .footer-nav-list li {
    width: 100%;
    display: flex;
    justify-content: center;
  }

}

/* Responsive Design */
@media (max-width: 991px) {
   .footer-body-container {
      grid-template-columns: 1fr;
      gap: 1rem;
      padding: 1rem;
    }

    .footer-section-title {
      align-self: center;
      text-align: center ;
      justify-content: center;
      margin-bottom: 0.5rem;
    }

  .footer-contact-section,
  .footer-navigation-section,
  .footer-menu-section {
    align-items: center;
    text-align: center;
    justify-content: center;
  }

  .footer-nav .footer-section-title {
    margin-top: 3rem;
  }

  .footer-bottom {
  margin-top: 3rem;
  
}

}

@media (max-width: 640px) {

  .footer-bottom {
    flex-direction: column;
    align-items: center;
    gap: 20px;
    text-align: center;
  }
}